# Get collaboration posts This endpoint returns collaborated posts where influencers mention brands or vice versa. Every successful request costs 0.2 credit. Endpoint: POST /collaborations/posts Security: accessToken ## Request fields (application/json): - `id` (string, required) User ID / Username / Profile URL, User ID is preferred. For Youtube, if you want to extract brand collaboration, use the brand's domain name instead of the user ID (you can use Brand Dictionary endpoint to get the brand's domain name). Example: "cristiano" - `platform` (string, required) Enum: "instagram", "tiktok", "youtube" - `collaboratorId` (string) If provided, only returns the collaboration posts between the specified influencer and brand. For Youtube, if you want to extract collaborations with a specific brand, use the brand's domain name instead of the user ID. - `postCreationTimestampMs` (object) Filter the posts by creation timestamp in milliseconds Example: {"gte":1716835200000} - `postCreationTimestampMs.gte` (number) Filter posts by creation timestamp in milliseconds greater than or equal to this value Example: 1716835200000 - `postCreationTimestampMs.lte` (number) Filter posts by creation timestamp in milliseconds less than or equal to this value - `cursor` (string) Cursor for pagination (only valid for 2 days) - `limit` (number) Number of collaboration posts per page Example: 10 - `groupBrandCollaborations` (boolean) If true, brand collaborations will be grouped across all platforms. This provides insights about the brand across all its social accounts. For example: if you request brand collaborations for @cocacola on Instagram, you will get posts sponsored by Coca Cola on all three platforms (Instagram, Tiktok and Youtube). Note: In some cases, this may group regional or variant accounts (e.g., @cocacola_uk, @cocacola_us) when they represent the same brand identity. Set this flag to false if social media account-specific insights are needed. ## Response 200 fields (application/json): - `error` (boolean) If there is an error - `cursor` (string) Cursor for pagination (only valid for 2 days) - `influencer` (object) Only available if the requested profile has influencer collaborations - `influencer.id` (string, required) User ID / Username / Profile URL Example: "johndoe" - `influencer.platform` (string, required) Enum: "instagram", "tiktok", "youtube" - `influencer.is_more_available` (boolean) True if there are more collaboration posts available - `influencer.username` (string) Username Example: "username" - `influencer.user_picture` (string) Influencer user picture Example: "https://images.od.modash.io/c5175c827bcd7fb6e89a53729b1a2347f0c6210f" - `influencer.posts` (array) List of collaboration posts - `influencer.posts.post_id` (string, required) Post id Example: "4333460164" - `influencer.posts.post_thumbnail` (string) Post thumbnail Example: "https://images.od.modash.io/c5175c827bcd7fb6e89a53729b1a2347f0c6210f" - `influencer.posts.post_timestamp` (number) Post timestamp Example: 1729502216000 - `influencer.posts.title` (string) Title Example: "Title" - `influencer.posts.description` (string) Description Example: "Description" - `influencer.posts.label` (string, required) Sponsorship category followed by the evidence. Possible categories: (1) Properly Disclosed Sponsorship - uses #ad, paid partnership flag, or explicitly indicates a partnership in text (e.g., "I teamed up with X to..."). (2) Likely Hidden Sponsorship - no clear disclosures, but other signals indicate a sponsorship (e.g., "Use [CODE] for X% off" or "thanks @brand"). (3) Unclear or Vague Sponsorship Hint - a mention/tag of a known sponsor, but without proper disclosures. Example: "Properly Disclosed Sponsorship: is paid partnership flag" - `influencer.posts.collaboration_type` (string, required) Type of collaboration (if multiple types are relevant, we return the most relevant one) Enum: "Paid", "Gifted", "Ambassador", "Affiliate", "Unspecified" - `influencer.posts.stats` (object) Stats - `influencer.posts.stats.likes` (number) Likes Example: 123 - `influencer.posts.stats.comments` (number) Comments Example: 12 - `influencer.posts.stats.likes_and_views_counts_enabled` (boolean) Likes and views counts enabled Example: true - `influencer.posts.stats.likes_count_enabled` (boolean) Likes count enabled Example: true - `influencer.posts.stats.plays` (number) Plays Example: 123 - `influencer.posts.stats.views` (number) Views Example: 123 - `influencer.posts.stats.shares` (number) Shares Example: 123 - `influencer.posts.stats.views_count_enabled` (boolean) Views count enabled Example: true - `influencer.posts.sponsors` (array) Sponsors - `influencer.posts.sponsors.name` (string) Brand name Example: "Honda" - `influencer.posts.sponsors.username` (string) Brand username Example: "honda" - `influencer.posts.sponsors.domain` (string) Brand domain Example: "honda.com" - `influencer.posts.sponsors.logo_url` (string) Brand logo Example: "https://images.od.modash.io/739b39affeb633d30a8a4280668605b091af0083" - `influencer.posts.sponsors.user_id` (string) Brand ID Example: "1234567890" - `influencer.posts.sponsors.category` (string, required) Brand category (if multiple categories are relevant, we return the most relevant one) Enum: "Consumer Packaged Goods (CPG)", "Retail", "B2B/Enterprise/Industrial", "Classifieds & Local", "Food Beverage Restaurants", "Healthcare", "Media & Entertainment", "Technology", "Education", "Finance", "Automotive", "Travel", "Others", "Unknown" - `brand` (object) Only available if the requested profile has brand collaborations - `brand.brand_name` (string) Brand name - `brand.brand_domain` (string) Brand domain - `brand.brand_logo` (string) Brand logo - `brand.brand_category` (string, required) Brand category (if multiple categories are relevant, we return the most relevant one) Enum: "Consumer Packaged Goods (CPG)", "Retail", "B2B/Enterprise/Industrial", "Classifieds & Local", "Food Beverage Restaurants", "Healthcare", "Media & Entertainment", "Technology", "Education", "Finance", "Automotive", "Travel", "Others", "Unknown" - `brand.posts` (array) Posts - `brand.posts.user_id` (string) User id Example: "173560420" - `brand.posts.platform` (string) Platform Example: "instagram" ## Response 404 fields (application/json): - `error` (boolean) If there is an error